Bug 1564652 - Review Request: python3-lxc - Python binding for LXC
Summary: Review Request: python3-lxc - Python binding for LXC
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1504385
TreeView+ depends on / blocked
 
Reported: 2018-04-06 19:20 UTC by Thomas Moschny
Modified: 2018-06-30 08:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-30 08:57:52 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Thomas Moschny 2018-04-06 19:20:26 UTC
Spec URL: https://thm.fedorapeople.org/python3-lxc/python3-lxc-3.0.1-2.fc29.src.rpm
SRPM URL: https://thm.fedorapeople.org/python3-lxc/python3-lxc.spec

Description:
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The python3-lxc package contains the Python3
binding for LXC.

Fedora Account System Username: thm

Note:
LXC upstream has moved the language bindings for Lua and Python3 in separate packages starting with LXC 3.0.0. This package contains the Lua bindings. The main LXC package will be updated to 3.0.0 when the reviews for the language bindings are finished. The updated LXC package can be found here: https://copr.fedorainfracloud.org/coprs/thm/lxc3.0/

Comment 1 Thomas Moschny 2018-04-06 19:29:50 UTC
Another note:

There exist Python2 bindings (https://github.com/lxc/python2-lxc) as well as Python3 bindings (https://github.com/lxc/python3-lxc).

We package the latter. Because both exist, the SRPM is named python3-lxc.

Comment 2 Christian Dersch 2018-04-07 21:37:43 UTC
Looks fine, approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/lupinix/1564652-python3-lxc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -lxc-debuginfo , python3-lxc-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-lxc-3.0.1-2.fc29.x86_64.rpm
          python3-lxc-debuginfo-3.0.1-2.fc29.x86_64.rpm
          python3-lxc-debugsource-3.0.1-2.fc29.x86_64.rpm
          python3-lxc-3.0.1-2.fc29.src.rpm
python3-lxc.x86_64: W: incoherent-version-in-changelog 3.0.2-1 ['3.0.1-2.fc29', '3.0.1-2']
python3-lxc-debugsource.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python3-lxc-debuginfo-3.0.1-2.fc29.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-lxc-debugsource.x86_64: W: invalid-url URL: https://linuxcontainers.org/lxc <urlopen error [Errno -2] Name or service not known>
python3-lxc-debugsource.x86_64: W: no-documentation
python3-lxc-debuginfo.x86_64: W: invalid-url URL: https://linuxcontainers.org/lxc <urlopen error [Errno -2] Name or service not known>
python3-lxc.x86_64: W: incoherent-version-in-changelog 3.0.2-1 ['3.0.1-2.fc29', '3.0.1-2']
python3-lxc.x86_64: W: invalid-url URL: https://linuxcontainers.org/lxc <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python3-lxc-debugsource (rpmlib, GLIBC filtered):

python3-lxc-debuginfo (rpmlib, GLIBC filtered):

python3-lxc (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblxc.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python3-lxc-debugsource:
    python3-lxc-debugsource
    python3-lxc-debugsource(x86-64)

python3-lxc-debuginfo:
    debuginfo(build-id)
    python3-lxc-debuginfo
    python3-lxc-debuginfo(x86-64)

python3-lxc:
    python3-lxc
    python3-lxc(x86-64)
    python3.6dist(python3-lxc)
    python3dist(python3-lxc)



Unversioned so-files
--------------------
python3-lxc: /usr/lib64/python3.6/site-packages/_lxc.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://linuxcontainers.org/downloads/lxc/python3-lxc-3.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3ff97afa57c14f9d936eff989991021aa861c8546830f6e48cc2698470addd02
  CHECKSUM(SHA256) upstream package : 3ff97afa57c14f9d936eff989991021aa861c8546830f6e48cc2698470addd02


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -b 1564652 -L deps/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/lupinix/deps/lxc-devel-3.0.0-1.fc29.x86_64.rpm
    /home/lupinix/deps/lxc-libs-3.0.0-1.fc29.x86_64.rpm

Comment 3 Gwyn Ciesla 2018-04-09 13:11:42 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-lxc

Comment 4 Thomas Moschny 2018-06-30 08:57:52 UTC
Finally imported and built for rawhide.

Thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.